import {
    ModalForm,
    ProFormText,
    ProFormTextArea,
} from '@ant-design/pro-components';
import { Form } from 'antd';
import React from 'react';

interface UpdateFormModalProps {
    visible: boolean;
}

const UpdateForm: React.FC<UpdateFormModalProps> = ({ visible }) => {
    const form = Form.useForm<API.ChildAccountForm>({});
    return (
        <ModalForm<API.ChildAccountForm>
            title="更新子账号信息"
            form={form}
            open={visible}
            autoFocusFirstInput
        >
            <ProFormText
                label="姓名"
                width="md"
                placeholder="请输入姓名"
                name="accountName"
            />
            <ProFormText
                label="手机号"
                width="md"
                placeholder="请输入手机号"
                name="contactMobile"
            />
            <ProFormTextArea
                label="备注"
                width="md"
                placeholder="请输入备注.."
                name="remark"
            />
        </ModalForm>
    );
};

export default UpdateForm;
