import {
    PageContainer,
    ProDescriptionsItemProps,
    ProTable,
} from '@ant-design/pro-components';
import React, { useState } from 'react';

const ProductTableList: React.FC<unknown> = () => {
    const [selectedRowsState, setSelectedRows] = useState<API.UserInfo[]>([]);
    const columns: ProDescriptionsItemProps<API.UserInfo>[] = [
        {
            title: '产品名称',
            dataIndex: 'name',
        },
        {
            title: '产品类型',
            dataIndex: 'productType',
            valueType: 'text',
        },
        {
            title: '贷款额度',
            dataIndex: 'amount',
            valueType: 'text',
        },
        {
            title: '资方',
            dataIndex: 'moneyHost',
        },
        {
            title: '贷款期限',
            dataIndex: 'time',
            valueEnum: {
                2: { text: '3个月' },
                3: { text: '6个月' },
                4: { text: '9个月' },
                5: { text: '12个月' },
                6: { text: '24个月' },
                7: { text: '36个月' },
            },
        },
    ];

    const [tableData, setTableData] = useState(
        new Array(6).fill(1).map(() => ({
            name: '民工',
            productType: '小贷',
            amount: '12万',
            moneyHost: '宁波银行',
            tiem: 5,
        })),
    );

    return (
        <PageContainer header={{ title: '产品列表' }}>
            <ProTable<API.UserInfo>
                headerTitle="产品列表嘻嘻"
                search={{ labelWidth: 120 }}
                //@ts-ignore
                columns={columns}
                rowSelection={{
                    onChange: (_, selectedRows) => {
                        setSelectedRows(selectedRows);
                    },
                }}
                dataSource={tableData}
            ></ProTable>
        </PageContainer>
    );
};

export default ProductTableList;
